Subject: Re: Directory renames without breaking git log.

From: Kai Blin <[email-masked]>
Date: Thu, 4 Sep 2008 22:52:34 +0200

On Thursday 04 September 2008 21:49:27 Junio C Hamano wrote:

> > git blame still works, and git log --sparse path/to/file works, of
> > course. --sparse makes giving a path a bit pointless, of course, but we
> > probably can live with that for time being. I'm still open for
> > suggestions, of course. :)
>
> Give both directories, like:
>
> 	"git log -- newdir olddir"
>
> perhaps?

Better, but really ugly, as we'll have to keep doing this for the rest of the 
project's life to get the full history. And while it's all nice and fun for 
git log -- source3/configure.in source/configure.in, it's less fun for deeper 
paths.

We'll probably end up just doing a git-filter-branch renaming the samba3 
source dir source3 from the beginning and the samba4 source dir source4 from 
the beginning, and then do the octopus merge. Without any paths changing, 
that should probably work. It's a bit annoying to break all external 
branches, but we only need to do this once, and people will only need to 
git-format-patch and git-am once, and we can provide a step-by-step guide for 
this as well.

Thanks for the feedback, though. :)

Cheers,
Kai

-- 
Kai Blin
WorldForge developer  http://www.worldforge.org/
Wine developer        http://wiki.winehq.org/KaiBlin
Samba team member     http://www.samba.org/samba/team/
--
Will code for cotton.